package com.rs.game.player;

public class ItemOnItemHandler {
    
    private Player player;

	public void redDestabilizer() {
            if (player.getInventory().containsItem(9914, 1) && player.getInventory().containsItem(9912, 1)) {
            player.getInventory().deleteItem(9914, 1);
            player.getInventory().deleteItem(9912, 1);
            player.getInventory().addItem(9907, 1);
		player.getPackets().sendGameMessage("You load the Red Destabiliser into the Ghost Buster..!");
		return;
            }
	}
	
	public void blueDestabilizer() {
            if (player.getInventory().containsItem(9915, 1) && player.getInventory().containsItem(9912, 1)) {
            player.getInventory().deleteItem(9915, 1);
            player.getInventory().deleteItem(9912, 1);
            player.getInventory().addItem(9908, 1);
		player.getPackets().sendGameMessage("You load the Blue Destabiliser into the Ghost Buster..!");
		return;
            }
	}
	
	public void greenDestabilizer() {
            if (player.getInventory().containsItem(9916, 1) && player.getInventory().containsItem(9912, 1)) {
            player.getInventory().deleteItem(9916, 1);
            player.getInventory().deleteItem(9912, 1);
            player.getInventory().addItem(9909, 1);
		player.getPackets().sendGameMessage("You load the Green Destabiliser into the Ghost Buster..!");
		return;
            }
	}
	
	public void yellowDestabilizer() {
            if (player.getInventory().containsItem(9917, 1) && player.getInventory().containsItem(9912, 1)) {
            player.getInventory().deleteItem(9917, 1);
            player.getInventory().deleteItem(9912, 1);
            player.getInventory().addItem(9910, 1);
		player.getPackets().sendGameMessage("You load the Yellow Destabiliser into the Ghost Buster..!");
		return;
            }
	}
	
	public void blackDestabilizer() {
            if (player.getInventory().containsItem(9918, 1) && player.getInventory().containsItem(9912, 1)) {
            player.getInventory().deleteItem(9918, 1);
            player.getInventory().deleteItem(9912, 1);
            player.getInventory().addItem(9911, 1);
		player.getPackets().sendGameMessage("You load the Black Destabiliser into the Ghost Buster..!");
		return;
            }
	}
	
	public void blueLogColoring() {
            if (player.getInventory().containsItem(7331, 1) && player.getInventory().containsItem(1511, 1)) {
            player.getInventory().deleteItem(7331, 1);
            player.getInventory().deleteItem(1511, 1);
            player.getInventory().addItem(7406, 1);
		player.getPackets().sendGameMessage("You have colored the logs blue!");
		return;
            }
	}
	
	public void greenLogColoring() {
            if (player.getInventory().containsItem(7330, 1) && player.getInventory().containsItem(1511, 1)) {
            player.getInventory().deleteItem(7330, 1);
            player.getInventory().deleteItem(1511, 1);
            player.getInventory().addItem(7405, 1);
		player.getPackets().sendGameMessage("You have colored the logs green!");
		return;
            }
	}
	
	public void redLogColoring() {
            if (player.getInventory().containsItem(7329, 1) && player.getInventory().containsItem(1511, 1)) {
            player.getInventory().deleteItem(7329, 1);
            player.getInventory().deleteItem(1511, 1);
            player.getInventory().addItem(7405, 1);
		player.getPackets().sendGameMessage("You have colored the logs red!");
		return;
            }
	}
	
	public void purpleLogColoring() {
            if (player.getInventory().containsItem(10326, 1) && player.getInventory().containsItem(1511, 1)) {
            player.getInventory().deleteItem(10326, 1);
            player.getInventory().deleteItem(1511, 1);
            player.getInventory().addItem(10329, 1);
		player.getPackets().sendGameMessage("You have colored the logs purple!");
		return;
            }
	}
	
	public void whiteLogColoring() {
            if (player.getInventory().containsItem(10327, 1) && player.getInventory().containsItem(1511, 1)) {
            player.getInventory().deleteItem(10327, 1);
            player.getInventory().deleteItem(1511, 1);
            player.getInventory().addItem(10328, 1);
		player.getPackets().sendGameMessage("You have colored the logs white!");
		return;
            }
	}
	
	public void redMarionette() {
            if (player.getInventory().containsItem(6874, 1) && player.getInventory().containsItem(6864, 1)) {
            player.getInventory().deleteItem(6874, 1);
            player.getInventory().deleteItem(6864, 1);
            player.getInventory().addItem(6867, 1);
		player.getPackets().sendGameMessage("You have assembled a red marionette!");
		return;
            }
	}
	
	public void blueMarionette() {
            if (player.getInventory().containsItem(6878, 1) && player.getInventory().containsItem(6864, 1)) {
            player.getInventory().deleteItem(6878, 1);
            player.getInventory().deleteItem(6864, 1);
            player.getInventory().addItem(6865, 1);
		player.getPackets().sendGameMessage("You have assembled a blue marionette!");
		return;
            }
	}
	
	public void greenMarionette() {
            if (player.getInventory().containsItem(6882, 1) && player.getInventory().containsItem(6864, 1)) {
            player.getInventory().deleteItem(6882, 1);
            player.getInventory().deleteItem(6864, 1);
            player.getInventory().addItem(6866, 1);
		player.getPackets().sendGameMessage("You have assembled a green marionette!");
		return;
            }
	}
	
	public void skeletalAirStaff() {
            if (player.getInventory().containsItem(17009, 1) && player.getInventory().containsItem(21448, 1)) {
            player.getInventory().deleteItem(17009, 1);
            player.getInventory().deleteItem(21448, 1);
            player.getInventory().addItem(21490, 1);
		player.getPackets().sendGameMessage("You attatch the skull to make a skeletal staff of air!");
		return;
            }
	}
	
	public void skeletalWaterStaff() {
            if (player.getInventory().containsItem(16997, 1) && player.getInventory().containsItem(21448, 1)) {
            player.getInventory().deleteItem(16997, 1);
            player.getInventory().deleteItem(21448, 1);
            player.getInventory().addItem(21491, 1);
		player.getPackets().sendGameMessage("You attatch the skull to make a skeletal staff of water!");
		return;
            }
	}
	
	public void skeletalEarthStaff() {
            if (player.getInventory().containsItem(17001, 1) && player.getInventory().containsItem(21448, 1)) {
            player.getInventory().deleteItem(17001, 1);
            player.getInventory().deleteItem(21448, 1);
            player.getInventory().addItem(21492, 1);
		player.getPackets().sendGameMessage("You attatch the skull to make a skeletal staff of earth!");
		return;
            }
	}
	
	public void skeletalFireStaff() {
            if (player.getInventory().containsItem(17005, 1) && player.getInventory().containsItem(21448, 1)) {
            player.getInventory().deleteItem(17005, 1);
            player.getInventory().deleteItem(21448, 1);
            player.getInventory().addItem(21493, 1);
		player.getPackets().sendGameMessage("You attatch the skull to make a skeletal staff of fire!");
		return;
            }
	}
	
	public void marionetteHandle() {
            if (player.getInventory().containsItem(960, 1) && player.getInventory().containsItem(8794, 1)) {
            player.getInventory().deleteItem(960, 1);
            player.getInventory().addItem(6864, 1);
		player.getPackets().sendGameMessage("You saw the plank and make a marionette handle!");
		return;
            }
	}
    
}